<div
  class="h-14 w-[10.5rem] pl-4 grid grid-flow-col border border-isa-neutral-400 rounded-lg items-center"
>
  <div class="isa-text-body-1-bold">{{ loyaltyValue() }} LP</div>

  <shared-quantity-control
    [ngModel]="rewardCartQuantity()"
    (ngModelChange)="changeRewardCartQuantity($event)"
    [max]="maxQuantity()"
    data-what="dropdown"
    data-which="loyalty-quantity"
    [disabled]="!hasStock()"
  ></shared-quantity-control>
</div>

<div
  class="h-14 w-[10.5rem] pl-4 grid grid-flow-col border border-isa-neutral-400 rounded-lg items-center"
>
  <div class="isa-text-body-1-bold">{{ priceValue() }} EUR</div>

  <shared-quantity-control
    [ngModel]="cartQuantity()"
    (ngModelChange)="changeCartQuantity($event)"
    [max]="maxQuantity()"
    data-what="dropdown"
    data-which="price-quantity"
    [disabled]="!hasStock()"
  ></shared-quantity-control>
</div>
